function gc_det_pos = gtGeoGrainCenterSam2Det(gc, omegas, parameters)
    labgeo = parameters.labgeo;
    samgeo = parameters.samgeo;

    % Detector properties
    detscaleu = 1 / labgeo.pixelsizeu;
    detscalev = 1 / labgeo.pixelsizev;
    Qdet = gtFedDetectorProjectionTensor(labgeo.detdiru', labgeo.detdirv', detscaleu, detscalev);
    uvorig = [labgeo.detrefu, labgeo.detrefv]';

    num_omegas = numel(omegas);
    ones_omegas = ones(1, num_omegas);
    gc_sam_pos = gc(ones_omegas, :);
    gc_lab_pos = gtGeoSam2Lab(gc_sam_pos, omegas, labgeo, samgeo, false);

    beam_dir = labgeo.beamdir(ones_omegas, :);
    gc_det_pos = gtFedPredictUVMultiple([], beam_dir', gc_lab_pos', ...
        labgeo.detrefpos', labgeo.detnorm', Qdet, uvorig)';
end