classdef GtGuiThresholdVolume < GtGuiThresholdGrain
    properties
    end

    methods (Access = public)
        function obj = GtGuiThresholdVolume(vol, varargin)
            obj = obj@GtGuiThresholdGrain(vol, varargin{:});

            obj.setSegmentFunction(@(thr, morph)segmentVolume(obj, thr, morph));
        end
    end

    methods (Access = protected)
        function segmentVolume(obj, threshold, morpho)
            filter = {'*.mat', 'MATLAB Files (*.mat)';
                      '*.edf', 'EDF files (ESRF Data Format, *.edf)'};
            [filename, pathname, filerIndex] = uiputfile(filter, 'Select file...', fullfile('5_reconstruction', 'volume_mask.mat'));

            thr = GtThreshold();
            if (exist('morpho', 'var'))
                vol = thr.volumeThreshold(obj.conf.vol, threshold, morpho);
            else
                vol = thr.volumeThreshold(obj.conf.vol, threshold);
            end

            if (filerIndex == 1)
                save(fullfile(pathname, filename), 'vol', '-v7.3');
            else
                edf_write(vol, fullfile(pathname, filename));
            end
        end
    end
end
