function par_rec = gtRecGrainsDefaultParameters(algo)
% FUNCTION par_rec = gtRecGrainsDefaultParameters(algo)
% Arguments can be (default in {}):
%   - algo  : {'SIRT'} | '6DL1' | '6DTV' | '6DTVL1'
%

    switch (upper(algo))
        case 'SIRT'
            par_rec = struct(...
                'algorithm', upper(algo), 'num_iter', 10, 'list', [], ...
                'options', []);

        case {'6DL1', '6DTV', '6DTVL1'}
            par_rec = struct(...
                'algorithm', upper(algo), 'num_iter', 50, 'list', [], ...
                'options', struct('grid_edge', 7, 'super_sampling', 1, 'num_interp', 4, 'lambda', 1e-3) );
    end
end
