function [app_fsim, app_list] = gtAppFsimDefaultPars()
% GTAPPFSIMDEFAULTPARS  Default parameters for gtShowFsim application
%     [app_fsim, app_list] = gtAppFsimDefaultPars()
%
%       clims      = <double>   image color limits {0}
%       conflicts  = <logical>  true if check difspots in conflict {true}
%                               (needs 4_grains/grains_conflicts.mat)
%       fsimtype   = <string>   forward simulation structure name {'allblobs'}|'fwdsim'
%       fsimID     = <double>   number of fsim structure in grain
%                               It is related to the number of geometries
%                               you use and you have stored in the
%                               parameters file if needed {1}
%       replace    = <logical>  true to replace grain.full {true}
%       addspot    = <logical>  add new spots to full image {true}
%       viewblob   = <logical>  view difblob after checking raw images
%                               {false}
%       save_grain = <logical>  update 4_grains/phase_##/grain_####.mat
%                               {false}
%       verbose    = <logical>  true if printing comments {true}
%       resize     = <logical>  resize figure {false}
%       f_title    = <string>   Figure title {''}
%
%     Version 001 30-07-2014 by LNervo

app_fsim.clims       = 0;
app_fsim.conflicts   = true;
app_fsim.fsimtype    = 'allblobs';
app_fsim.fsimID      = 1;
app_fsim.replace     = true;
app_fsim.addspot     = true;
app_fsim.viewblob    = false;
app_fsim.save_grain  = false;
app_fsim.verbose     = true;
app_fsim.resize      = false;
app_fsim.f_title     = '';

app_list = get_structure(app_fsim,[],false,[],[]);
app_list(:,2) = {'Figure color limits',...
                 'Flag to display conflicts if available',...
                 'Fsim output name ''allblobs''|''fwdsim''',...
                 'Fsim output number',...
                 'Flag to replace full image when updating',...
                 'Flag to add new spots to the image',...
                 'Flag to display the blob',...
                 'Flag to update the grain_###.mat file',...
                 'Flag to display comments on screen',...
                 'Flag to resize figure',...
                 'Figure title'};

end
