function [app_fsim, app_list] = gtAppFsimExtraPars()
% GTAPPFSIMEXTRAPARS  Extra parameters for gtForwardSimulate_v2 application
%     [app_fsim, app_list] = gtAppFsimExtraPars()
%
% Keep the parameters order for consistency with the list
%
% added on 27-05-2014 by LNervo

app_fsim.updateSample   = true;
app_fsim.updateDBtables = true;
% app_fsim.variants       = false;
% app_fsim.plot_variants  = false;
% app_fsim.num_variant    = [];
% app_fsim.twin_angle     = [];
% app_fsim.twin_axis      = [];
% app_fsim.twin_center    = [];
% app_fsim.twin_grain     = struct();

% in case there are several candidates, take the one which fits best a goodness criterion
% with different weight fractions for position, size and rotation
% angle (image_number).  We could add intensity as another criterium
app_fsim.area_factor     = 1;
app_fsim.position_factor = 1;
app_fsim.image_factor    = 1;
app_fsim.int_factor      = 0;

app_list = get_structure(app_fsim, [], false, [], []);
app_list(:, 2) = {...
    'Flag to update the sample.mat file', ...
    'Flag to update the DB difspot table', ...
    'Weight for area criterion for assigning spots to grains', ...
    'Weight for position criterion for assigning spots to grains', ...
    'Weight for image number criterion for assigning spots to grains', ...
    'Weight for intensity number criterion for assigning spots to grains'};
%     'Flag to do the twin variants simulation', ...
%     'Flat to plot the twin variants simulated spots', ...
%     'Number to use a specific twin variant calculated previously', ...
%     'Twin angle for twin variants calculation', ...
%     'Twin plane as HKL for twin variants calculation', ...
%     'Twin center of mass (if different from parent center of mass', ...
%     'Twin grain info (if available)', ...

% ind = findValueIntoCell(fieldnames(app_fsim), ...
%           {'plot_variants', 'num_variant', 'twin_angle', 'twin_axis', ...
%           'twin_center', 'twin_grain'});
% app_list(ind(:, 1), 4) = {2};

end
