function [blob, bb, mask] = gtFwdSimBuildBlob(candidateID, parameters)
% FUNCTION  Builds the spot image starting from the difspotID
%   [spot, bb, mask] = gtFwdSimBuildBlob(candidateID, parameters)
%
% blobid     : candidateID
% parameters : parameters.mat

    base_dir = fullfile(parameters.acq.dir, '2_difblob');
    [blob, bb, mask] = gtReadBlobFromHDF5(base_dir, candidateID);

    blob(blob < 0) = 0;
    % here we force the intensity to be the same in all spots to 1
    blob = blob / sum(blob(mask));

    if (~isfield(parameters.rec.grains, 'use_mask') || parameters.rec.grains.use_mask)
        blob(~mask) = 0;
    end
end
