function vol_size = gtFwdSimPredictGrainVolumeSize(gr, parameters, use_polyhedron)
    if (~exist('use_polyhedron', 'var') || isempty(use_polyhedron))
        use_polyhedron = false;
    end

    if (isfield(gr, 'om_exp'))
        omegas = gr.om_exp;
    else
        omegas = gr.omega;
    end
    if (isfield(gr, 'bb_exp'))
        bb = gr.bb_exp;
    else
        bb = gr.bb;
    end

    stackHSize = gr.proj.num_cols;
    stackVSize = gr.proj.num_rows;

    selected = gr.selected;

    vol_size = gtFwdSimPredictVolumeSize(gr.center, omegas(selected), ...
        bb(selected, :), parameters, stackHSize, stackVSize, use_polyhedron);
end
