function vol_size = gtFwdSimPredictVolumeSize(gr_center, omegas, bb, parameters, stackHSize, stackVSize, use_polyhedron)
    if (~exist('use_polyhedron', 'var') || isempty(use_polyhedron))
        use_polyhedron = false;
    end

    fsim = parameters.fsim;

    if (use_polyhedron)
        % This should behave better with vertical detector
        % (if no bug is introduced with it :D)
        verts = gtFwdSimComputeCircumscribingPolyhedron(...
            gr_center, omegas, bb, parameters);

        vol_size = max(verts, [], 1) - min(verts, [], 1);
        oversize_vol = fsim.oversizeVol * 1.1;
    else
        % We should in the future handle properly vertical detector
        % (general geometry) maybe determining a convex shape of the grain!
        vol_size = [stackHSize, stackHSize, stackVSize];
        oversize_vol = fsim.oversizeVol / fsim.oversize;
    end

    vol_size = round(vol_size * oversize_vol);
end
