function [spot, m] = gtGetRawRoi(start_image, end_image, acq, bb)
% GETRAWROI Sums a roi in raw images
%   [spot, m] = gtGetRawRoi(start_image, end_image, acq, bb)

    nimages = end_image - start_image + 1;
    spot    = zeros(bb(4), bb(3), nimages);
    m       = zeros(nimages, 1);
    centerx = round((bb(3)/2 -5) : (bb(3)/2 +5));
    centery = round((bb(4)/2 -5) : (bb(4)/2 +5));

    % was < acq.xdet and < acq.ydet
    if all([bb(1) > 0, bb(2) > 0, bb(1)+bb(3) <= acq.xdet, bb(2)+bb(4) <= acq.ydet])
        fullImgsDir = fullfile(acq.dir, '1_preprocessing', 'full');
        indexes = start_image : end_image;
        filename = fullfile(fullImgsDir, sprintf('full%04d.edf', indexes(1)));
        info     = edf_info(filename);

        for img_n = 1:nimages
            fullImgName = fullfile(fullImgsDir, sprintf('full%04d.edf', indexes(img_n)));
            spot(:, :, img_n) = edf_read(fullImgName, bb, [], info);
            m(img_n) = gtImgMeanValue(spot(centery, centerx, img_n));
        end
    end
end
