function [x, norms] = gtMathsNormalizeVectorsList(x, dim)
% FUNCTION x = gtMathsNormalizeVectorsList(x, dim)
%
%   INPUT:
%       x   : The list of vectors <n x m>
%       dim : Opional, direction of the list: [{1} | 2]
%

    if (~exist('dim', 'var') || dim == 1)
        square_norms = sum(x .^ 2, 2);
        norms = sqrt(square_norms) + (square_norms == 0);
        x = x ./ norms(:, ones(size(x, 2), 1));
    else
        square_norms = sum(x .^ 2, 1);
        norms = sqrt(square_norms) + (square_norms == 0);
        x = x ./ norms(ones(size(x, 1), 1), :);
    end
end